Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.ws
Class ServiceFactory

    java.lang.Object
      be.ehealth.technicalconnector.service.ws.ServiceFactory

    public final class ServiceFactory

extends Object

A factory for creating service objects.

Method Summary
`static GenericRequest` | `getCodageService(X509Certificate certificate, PrivateKey privateKey)` Deprecated. replaced by getSealsService
`static GenericRequest` | `getETKService()` Gets the eTK service.
`static GenericRequest` | `getIdSupportV2Service(SAMLToken token)`
`static GenericRequest` | `getKGSSService()` Gets the KGSS service.
`static GenericRequest` | `getKGSSServiceSecured(SAMLToken token)` Gets the KGSSS service secured.
`static GenericRequest` | `getSealsService(X509Certificate certificate, PrivateKey privateKey)` Gets the Codage service.
`static GenericRequest` | `getSTSService(X509Certificate certificate, PrivateKey privateKey)` Gets the sTS service.
`static GenericRequest` | `getTSAuthorityService(X509Certificate certificate, PrivateKey privateKey)` Gets the Timestamping service.
`static GenericRequest` | `getTSConsultService(X509Certificate certificate, PrivateKey privateKey)` Gets the Timestamping service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCodageService

    @Deprecated
    public static GenericRequest getCodageService(X509Certificate certificate,
                                                             PrivateKey privateKey)
                                           throws TechnicalConnectorException

  Deprecated. replaced by getSealsService

  Gets the Codage service.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
  Returns:
    the codage service
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getSealsService

    public static GenericRequest getSealsService(X509Certificate certificate,
                                                 PrivateKey privateKey)
                                          throws TechnicalConnectorException

  Gets the Codage service.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
  Returns:
    the codage service
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getETKService

    public static GenericRequest getETKService()
                                        throws TechnicalConnectorException

  Gets the eTK service.

  Returns:
    the eTK service
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getSTSService

    public static GenericRequest getSTSService(X509Certificate certificate,
                                               PrivateKey privateKey)
                                        throws TechnicalConnectorException

  Gets the sTS service.

  Parameters:
    `certificate` -
    `privateKey` -
  Returns:
    the STS Service
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getKGSSService

    public static GenericRequest getKGSSService()
                                         throws TechnicalConnectorException

  Gets the KGSS service.

  Returns:
    the KGSS service
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getKGSSServiceSecured

    public static GenericRequest getKGSSServiceSecured(SAMLToken token)
                                                throws TechnicalConnectorException

  Gets the KGSSS service secured.

  Parameters:
    `token` - the token
  Returns:
    the KGSS service secured
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getTSAuthorityService

    public static GenericRequest getTSAuthorityService(X509Certificate certificate,
                                                       PrivateKey privateKey)
                                                throws TechnicalConnectorException

  Gets the Timestamping service.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
  Returns:
    the KGSS service secured
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getTSConsultService

    public static GenericRequest getTSConsultService(X509Certificate certificate,
                                                     PrivateKey privateKey)
                                              throws TechnicalConnectorException

  Gets the Timestamping service.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
  Returns:
    the KGSS service secured
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getIdSupportV2Service

    public static GenericRequest getIdSupportV2Service(SAMLToken token)
                                                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.